FROM gitea.dege.au/docker/php:8.3-fpm-pgsql

COPY . /var/www/html/

RUN mkdir -p ${COMPOSER_HOME} \
	&& ([ -r auth.json ] && mv auth.json ${COMPOSER_HOME}) || true \
	&& touch .composer.refresh \
	&& mv .env.example .env \
	&& apk add --no-cache git \
	&& FORCE_PERMS=1 NGINX_START=FALSE /sbin/init \
	&& apk del --no-cache git \
	&& chmod +x /var/www/html/artisan \
	&& /var/www/html/artisan storage:link \
	&& rm -rf ${COMPOSER_HOME}/* .git* composer.lock
